**`Neelameham Jayaraman`[NAME]** -NL- Email:**`neelamehamj@gmail.com`[EMAILS_EMAIL]** -NL- Linux/Cloud/DevOps Engineer -NL- Cell: -NL- **`+919840330107`[PHONES_PHONE]** -NL- **`Professional Experience Summary`[SUMMARY_HEADING]** -NL-  Overall 11+ years of IT experience including UNIX/Linux -NL- administration(10yrs), -NL- **`OpenStack`[PROJECT_TITLE]**(3yrs) and DevOps(1yr). -NL-  Hands on experience with -NL- KVM,Vmware,**`OpenStack`[PROJECT_TITLE]**,Foreman,Puppet ,Ansible. -NL-  Hands on experiece with Docker containers,Jenkins and Git -NL-  Hands on experience in Linux, Solaris,VxVM, VCS , RHCS -NL-  Hands on experience in NIS, DNS,Open LDAP,Squid,Qmail,IPTABLES -NL-  Strong troubleshooting knowledge in UNIX/Linux platforms and Networking. -NL-  Good understanding and knowledge in UNIX/Linux environment security -NL- considerations. -NL-  Travelled to different Europe countries (UK, Germany and Finland) for -NL- Project transitions. -NL- Area of Interest -NL-  Virtualization and Cloud Computing -NL-  DevOps -NL-  UNIX/Linux Security -NL- **`Technical Skills`[SKILLS_HEADING]** -NL-  Hardware: Oracle Sun SPARC and Fire servers, IBM Blade servers, Dell -NL- and HP servers -NL-  Operating Systems:Linux, Solaris, HP-UX and AIX (Beginner level) -NL-  Disk Management:VERITAS Volume Manager, Solaris Volume Manager -NL- and LVM -NL-  Cluster:VCS, Red Hat Cluster and MC-Service Guard -NL-  Messaging:Qmail, Sendmail and Postfix -NL-  Scripting:Shell, Per,Python and Ruby(Beginner Level) -NL-  Security: Squid, Snort, IPTABLES, Trend Micro IMSS -NL-  Virtualization and Cloud Computing:VMware, KVM and -NL- **`OpenStack`[PROJECT_TITLE]**,Ubuntu Juju(PaaS) -NL-  Tools: BMC Remedy, BMC Blade Logic, HP Opsware, Xymon(Formerly -NL- Known as Hobbit) -NL-  Automation Tools : Foreman, Spacewalk and Red Hat satellite Server -NL-  DevOps: Git,gitolite,GitWeb,Jenkins,Puppet, Ansible,Geppetto -NL- 1 -NL-  Other Skills:NFS,NIS, DNS, Open LDAP, Apache, Tomcat, MySQL -NL- Certification -NL- RHCT - Red HatEnterprise Linux AS 4.0 -NL- **`Recent Projects`[OTHERS_HEADING]** -NL- 1. **`OpenStack`[PROJECT_TITLE]** (keystone, glance,nova, neutron, cinder, swift) -NL- implementation with 6 nodes. -NL-  Configured two availability zones one for KVM hypervisor and one for -NL- Docker hypervisor. -NL-  Configured glusterfs as shared storage for storing the VMs and -NL- achieved LIVE migration between two compute nodes. -NL-  Configured cinder service with LVM backend. -NL-  Configured swift service with glusterfs backend. -NL- 2. **`Puppet code workflow using puppet, geppetto,git,GitWeb and Jenkins`[PROJECT_TITLE]**. -NL-  Configured CI/CD pipeline for Linux team to manage the puppet -NL- code. -NL-  Linux team will create or update the puppet code using geppeto -NL- client and push it into the “git” repo. -NL-  Jenkins freestyle job will detect the code change in the “git” using -NL- SCM poll option in Jenkins and run the puppet-lint tests on the code. -NL-  On successful build the Jenkins workspace will be rsynced to the -NL- puppet master node and the clients will pull the updates using the -NL- puppet agent. -NL- 3. **`Successfully completed a PoC for CI/CD pipeline using Docker containers`[PROJECT_TITLE]**. -NL-  Infirst stage, created a “Maven” job to detect the code change in the -NL- “git” repo using SCM poll check and build the Docker image then -NL- push it to the local Docker registry. -NL-  In the second stage job the Docker image is verified. -NL-  In the third stage the Docker image is deployed using the freestyle -NL- Jenkins job. -NL- Professional Experience - Current -NL- 2 -NL- PayPal via **`CSC`[EMPLOYER_COMPANY_NAME]** **`Cloud Support Engineer`[EMPLOYER_ROLE]** (**`OpenStack`[PROJECT_TITLE]**) - Feb 01, 2016 to -NL- till date -NL- Working as a **`Cloud Support Engineer`[EMPLOYER_ROLE]** in PayPal IDC to track down the defects and -NL- provide innovative solutions to improve the reliability and availability. Also -NL- contributing some work to DevOps team. -NL-  Being part of Cloud Support team troubleshooting various issues in -NL- **`OpenStack`[PROJECT_TITLE]** Cloud infrastructure components like hypervisors (nova), -NL- network (neutron with NSX), volumes (cinder), database (trove) and virtual -NL- machines hosted by users. -NL-  Troubleshooting and fixing issues in OpenvSwitch and NSX manager. -NL-  Automate the cloud deployments, upgrades and capacity additions. -NL- **`Professional Experience - Previous`[WORK_EXPERIENCE_HEADING]** -NL- **`CGI`[EMPLOYER_COMPANY_NAME]** -NL- **`Senior Systems Engineer `[EMPLOYER_ROLE]**(Unix/Linux) - Oct 08, 2008 to -NL- Jan 25, 2016 -NL- Working as a LinuxSME in a blended delivery model 12 members team and -NL- providing 3rd Line Unix/Linux support for the clients from UK and Nordics. We -NL- manage more than 20 customers with the mixture of all the UNIX/Linuxflavors and -NL- cluster technologies. -NL- Key Contributions: -NL-  As the SME for Linux working on Critical incidents and RCA calls. -NL-  **`OpenStack`[PROJECT_TITLE]** PoC - Completed PoC on top of the KVM virtual machines and -NL- implemented 6 nodes **`OpenStack`[PROJECT_TITLE]** environment for development team. -NL-  Implemented “Foreman with puppet” for automating OS deployment and -NL- managing the server configuration for the internal VMware environment. -NL-  Implemented CI/CD pipeline to manage the puppet code. -NL-  Managed Vmware infrastructure using “puppet” and “ansible”. -NL- 3 -NL-  Analyzed the VxVM disk configuration in a VCS environment andfixed the -NL- improper the disk configuration (Mirror disks were from the same storage -NL- node). -NL-  Worked on OS patching and DR Test for Solaris, HP-UX and Linux in a -NL- clustered environment. -NL-  Troubleshooting performance issues using Dtrace, Strace and pmap -NL- commands. -NL-  Implemented and supporting the squid proxy server with squid Guard -NL- URLfiltering and integrated the authentication with Active Directory using -NL- winbind and Kerberos. -NL-  Written shell scripts forVxVM, SVM and syslog monitoring. Also written a -NL- script to keep the Linux systems secured. -NL-  Have done many UNIX project transitions (Both Onsite KT and Remote KT). -NL- One of the critical onsite transition have completed in a week. -NL- Professional Experience – Previous -NL- **`Sify Technologies Ltd`[EMPLOYER_COMPANY_NAME]** – Chennai -NL- **`Systems Engineer`[EMPLOYER_ROLE]**-Jul 03, 2008 to -NL- Oct 2008 -NL- Sify is India’s largest Broadband service provider. I worked in a Linux Application -NL- support team and provided support to various broadband application servers like -NL- RADIUS, LDAP and IPTABLESfirewall. -NL- Key Contributions: -NL-  Install, configure and support the Squid cache, LDAP, RADIUS and -NL- IPTABLESfirewall in Linux environment. -NL-  Quickly restore the Linux severs when there is a “Kernel Panic” error or any -NL- OS related issues. -NL- 4 -NL-  Check the broadband user authentication and authorization status in LDAP -NL- and RADIUS servers. -NL-  Add/remove IPTABLES rules based on the requirements. -NL- Professional Experience - Previous -NL- **`HCL Infosystems Ltd`[EMPLOYER_COMPANY_NAME]** – Chennai -NL- **`Linux Administrator`[EMPLOYER_ROLE]**- Jul18, 2007 -NL- to Jun 30, 2008 -NL- Client: MacMillan India Ltd -NL- Key Contributions: -NL-  Administering Qmail mail server, squid proxy server, LDAP Server(Address -NL- Book) and Apache web server (Openwebmail-2.20.1) running on RHEL ES -NL- 4.0. -NL-  Monitoring, spam control and message tracking through Trend Micro IMSS -NL- server 7.0. -NL-  Creating and managing users, mailing list and enable mail forwarding. -NL-  Administering Linux using webmin-1.350 web interface. -NL-  Manage Macmillan India Ltd Network infrastructure(PIX Firewall and -NL- switches)s -NL-  Implementing qmail with web mail and IMSS server for HCL customers. -NL-  Successfully installed and configured apache-tomcat-6.0.14 with mod_jk -NL- connector. -NL- Professional Experience - Previous -NL- **`Precision TechServe Pvt Ltd `[EMPLOYER_COMPANY_NAME]**– Chennai **`Systems Engineer`[EMPLOYER_ROLE]**, Nov 20, 2006to -NL- Jul 10, 2007. -NL- Key Contributions: -NL-  Qmail mail and send mail server installation in Fedora Core 3 & 4. -NL-  Oracle 10g database installation in Fedora Core 3,RHEL 4.0 -NL-  Configuring Apache web server, Squid Proxy, DNS and Samba server. -NL-  Provide support to clients for Fedora core 3 & 4 -NL- 5 -NL- Professional Experience - Previous -NL- **`HCL Info systems Ltd`[EMPLOYER_COMPANY_NAME]**– Chennai -NL- **`Customer Support Engineer`[EMPLOYER_ROLE]**, -NL- Jul2004 toJul 2006. -NL- Client: Tamil Nadu Electricity Board(TNEB), Chennai. (Onsite support) -NL- Key Contributions: -NL-  Managed the LINUX and HP-UX servers which are in TNEB data center -NL- supported by HCL. -NL-  Provide assistance to the regional HCL engineers when they experience -NL- some issue with regional TNEB office servers in different location of Tamil -NL- Nadu. -NL-  Configuring RAID controllers, experience with Rack mounting servers and -NL- KVM Switches -NL-  Implemented DNS and Samba server in Red Hat Enterprise Linux AS 4.0 -NL-  Installed Oracle 8i as Database server in Red Hat Enterprise Linux AS 4.0 -NL-  Installation of Apache Server and PHP in Red Hat Linux EL AS 4.0 -NL- **`Soft-Mark Systems`[EMPLOYER_COMPANY_NAME]** – Chennai, India -NL- **`Desktop Service Engineer`[EMPLOYER_ROLE]**, -NL- May 2003 to Jul 2004. -NL- Key Contributions: -NL-  PC assembling and troubleshooting. -NL-  Checking computer hardware like motherboard, memory (RAM) and Hard -NL- Disk etc. -NL-  Os installation and configuration like windows 98/2000/XP. -NL-  Installation of Oracle 8.0/8i/9i for home PC’s and installation of soft ware -NL-  Card Level Trouble shooting. -NL-  On call servicing for delivered assembled PC’s by **`Soft-Mark Systems`[EMPLOYER_COMPANY_NAME]** -NL- **`Education & Training`[EDUCATION_HEADING]** -NL- 6 -NL- **`Bachelor of Computer Applications`[EDUCATION_DEGREE]** (BCA) -NL- **`Madurai Kamaraj University – Madurai, India.`[EDUCATION_INSTITUTE]** -NL- Pursuing -NL- **`Diploma`[EDUCATION_DEGREE]** in **`Computer Technology `[EDUCATION_COURSE]**(DCT) , April 2003 (3 -NL- years **`Diploma`[EDUCATION_DEGREE]**) -NL- **`Srinivasa Subbaraya Polytechnic College, Tamil Nadu, India`[EDUCATION_INSTITUTE]**. 90.6% -NL- **`SSLC`[EDUCATION_DEGREE]**, March2000 -NL- State Board of Secondary Education Tamil Nadu, India. -NL- 84.80% -NL-  Attended VERITAS Cluster Training -NL-  Attended VMware 5.0 Training -NL- **`Languages Known`[SKILLS_HEADING]** -NL- Tamil and English -NL- - Read, write and speak -NL- 7 -NL- 